L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : obtention d'information via random32

Synthèse de la vulnérabilité 

Un attaquant peut contourner les restrictions d'accès aux données via random32 du noyau Linux, afin d'obtenir des informations sensibles.
Systèmes impactés : Debian, Fedora, Linux, openSUSE Leap, Oracle Communications, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette alerte : 1/4.
Date de création : 31/07/2020.
Références de cette alerte : CERTFR-2020-AVI-547, CERTFR-2020-AVI-548, CERTFR-2020-AVI-553, CERTFR-2020-AVI-568, CERTFR-2020-AVI-574, CERTFR-2020-AVI-585, CERTFR-2020-AVI-614, CERTFR-2020-AVI-699, CERTFR-2020-AVI-823, CERTFR-2021-AVI-040, cpuapr2021, CVE-2020-16166, DLA-2385-1, DLA-2420-1, DLA-2420-2, FEDORA-2020-2cd6393548, FEDORA-2020-8d634e31c0, openSUSE-SU-2020:1153-1, openSUSE-SU-2020:1236-1, openSUSE-SU-2021:0242-1, RHSA-2020:4279-01, RHSA-2020:5418-01, RHSA-2020:5428-01, RHSA-2020:5473-01, RHSA-2020:5506-01, RHSA-2021:0184-01, SSA:2020-295-01, SUSE-SU-2020:2485-1, SUSE-SU-2020:2486-1, SUSE-SU-2020:2540-1, SUSE-SU-2020:2541-1, SUSE-SU-2020:2574-1, SUSE-SU-2020:2575-1, SUSE-SU-2020:2576-1, SUSE-SU-2020:2582-1, SUSE-SU-2020:2605-1, SUSE-SU-2020:2610-1, SUSE-SU-2020:2623-1, SUSE-SU-2020:2631-1, USN-4525-1, USN-4526-1, VIGILANCE-VUL-32981.

Description de la vulnérabilité 

Un attaquant peut contourner les restrictions d'accès aux données via random32 du noyau Linux, afin d'obtenir des informations sensibles.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce cybersécurité concerne les logiciels ou systèmes comme Debian, Fedora, Linux, openSUSE Leap, Oracle Communications, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de menace est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette faille cyber-sécurité.

Solutions pour cette menace 

Noyau Linux : version 5.7.14.
La version 5.7.14 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Noyau Linux : version 5.4.57.
La version 5.4.57 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Noyau Linux : version 4.19.138.
La version 4.19.138 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Noyau Linux : version 4.14.193.
La version 4.14.193 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Noyau Linux : version 4.9.233.
La version 4.9.233 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Noyau Linux : version 4.4.233.
La version 4.4.233 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Noyau Linux : patch pour random32.
Un patch est indiqué dans les sources d'information.

Debian 9 : nouveaux paquetages linux.
De nouveaux paquetages sont disponibles :
  Debian 9 : linux 4.9.240-2

Debian 9 : nouveaux paquetages linux-4.19 (28/09/2020).
De nouveaux paquetages sont disponibles :
  Debian 9 : linux-4.19 4.19.146-1~deb9u1

Fedora 31 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  Fedora 31 : kernel 5.7.15-100.fc31

Fedora 32 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  Fedora 32 : kernel 5.7.14-200.fc32

openSUSE Leap 15.1 : nouveaux paquetages kernel (07/08/2020).
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : kernel 4.12.14-lp151.28.59.1

openSUSE Leap 15.2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : kernel 5.3.18-lp152.36.1

openSUSE Leap 15.2 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : kernel-rt 5.3.18-lp152.3.5.1

Oracle Communications : CPU de avril 2021.
Un Critical Patch Update est disponible :
  https://support.oracle.com/rs?type=doc&id=2766613.1
  https://support.oracle.com/rs?type=doc&id=2765939.1
  https://support.oracle.com/rs?type=doc&id=2765941.1
  https://support.oracle.com/rs?type=doc&id=2652618.1
  https://support.oracle.com/rs?type=doc&id=2765926.1
  https://support.oracle.com/rs?type=doc&id=2766616.1
  https://support.oracle.com/rs?type=doc&id=2765925.1
  https://support.oracle.com/rs?type=doc&id=2769144.1
  https://support.oracle.com/rs?type=doc&id=2766633.1
  https://support.oracle.com/rs?type=doc&id=2766634.1
  https://support.oracle.com/rs?type=doc&id=2739349.1
  https://support.oracle.com/rs?type=doc&id=2765938.1
  https://support.oracle.com/rs?type=doc&id=2766637.1

RHEL 7 : nouveaux paquetages kernel-alt.
De nouveaux paquetages sont disponibles :
  RHEL 7.0-7.9 : kernel-alt 4.14.0-115.32.1.el7a

RHEL 8.1 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  RHEL 8.1 : kernel 4.18.0-147.38.1.el8_1

RHEL 8.2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  RHEL 8.2 : kernel 4.18.0-193.37.1.el8_2

RHEL 8.2 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  RHEL 8.2 : kernel-rt 4.18.0-193.37.1.rt13.87.el8_2

RHEL 8.3 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  RHEL 8.3 : kernel 4.18.0-240.8.1.el8_3

RHEL 8.3 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  RHEL 8.3 : kernel-rt 4.18.0-240.8.1.rt7.62.el8_3

Slackware 14.2 : nouveaux paquetages kernel (22/10/2020).
De nouveaux paquetages sont disponibles :
  Slackware 14.2 : kernel 4.4.240-i586-1

SUSE LE 12 SP2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP2 : kernel 4.4.121-92.141.1

SUSE LE 12 SP3 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP3 : kernel 4.4.180-94.130.1

SUSE LE 12 SP4 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : kernel 4.12.14-95.60.1

SUSE LE 12 SP5 : nouveaux paquetages kernel (08/09/2020).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel 4.12.14-122.37.1

SUSE LE 12 SP5 : nouveaux paquetages kernel-azure (07/09/2020).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel-azure 4.12.14-16.25.1

SUSE LE 12 SP5 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel-rt 4.12.14-10.16.1

SUSE LE 15 RTM : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : kernel 4.12.14-150.58.1

SUSE LE 15 SP1 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel 4.12.14-197.56.1

SUSE LE 15 SP1 : nouveaux paquetages kernel-azure.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel-azure 4.12.14-8.41.1

SUSE LE 15 SP1 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel-rt 4.12.14-14.31.1

SUSE LE 15 SP2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : kernel 5.3.18-24.12.1

Ubuntu 20.04 : nouveaux paquetages linux-image-5.4.0.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.04 LTS : linux-image-5.4.0-48-generic 5.4.0-48.52

Ubuntu : nouveaux paquetages linux-image-4.15.0 (22/09/2020).
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : linux-image-4.15.0-118-generic 4.15.0-118.119
  Ubuntu 16.04 LTS : linux-image-generic-hwe-16.04 4.15.0.118.119
  Ubuntu 14.04 ESM : linux-image-4.15.0-1096-azure 4.15.0-1096.106~14.04.1
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une analyse de vulnérabilité de système. L'équipe Vigil@nce surveille les vulnérabilités informatiques de systèmes et d'applications.